Debian Bug report logs - #188171
ITA: libnids -- IP defragmentation TCP segment reassembly library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 8 Apr 2003 11:33:14 UTC

Severity: normal

Fixed in version libnids/1.18-1

Done: Steve Kemp <skx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188171; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Robert van der Meulen <rvdm@debian.nl>
Subject: O: libnids -- IP defragmentation TCP segment reassembly library
Date: Tue, 8 Apr 2003 21:24:13 +1000
Package: wnpp
Severity: normal

The current maintainer of libnids, Robert van der Meulen <rvdm@debian.nl>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: libnids
Binary: libnids1, libnids-dev
Version: 1.16-3
Priority: optional
Section: libs
Maintainer: Robert van der Meulen <rvdm@debian.nl>
Build-Depends: libpcap-dev, libnet0-dev, debhelper
Architecture: any
Standards-Version: 3.1.1
Format: 1.0
Directory: pool/main/libn/libnids
Files: 12a2b1754a316f0dae78edc7f17b24b4 634 libnids_1.16-3.dsc
 95497093d0de330be12ddc658ad7decc 72309 libnids_1.16.orig.tar.gz
 d92b2e086636cd929d23a527fdddd3eb 6550 libnids_1.16-3.diff.gz

Package: libnids-dev
Priority: optional
Section: devel
Installed-Size: 129
Maintainer: Robert van der Meulen <rvdm@debian.nl>
Architecture: i386
Source: libnids
Version: 1.16-3
Depends: libnids1 (= 1.16-3), libc6-dev
Filename: pool/main/libn/libnids/libnids-dev_1.16-3_i386.deb
Size: 47668
MD5sum: 2ca511e4a4ec28f331ef5729566938f4
Description: IP defragmentation TCP segment reassembly library (development)
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component.
 Libnids code watches all local network traffic, cooks received datagrams a
 bit, and provides convenient information about them to the NIDS analyzing
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP
 defragmentation, and TCP port scan detection.

Package: libnids1
Priority: optional
Section: libs
Installed-Size: 52
Maintainer: Robert van der Meulen <rvdm@debian.nl>
Architecture: i386
Source: libnids
Version: 1.16-3
Replaces: libnids0
Depends: libc6 (>= 2.2.4-4)
Filename: pool/main/libn/libnids/libnids1_1.16-3_i386.deb
Size: 16968
MD5sum: 3f1cb6a6dfbad369b409c41ca76480b6
Description: IP defragmentation TCP segment reassembly library
 Libnids is a library that provides the functionality of one of the NIDS
 (Network Intrusion Detection System) components, namely E-component.
 Libnids code watches all local network traffic, cooks received datagrams a
 bit, and provides convenient information about them to the NIDS analyzing
 modules.
 Libnids performs assembly of TCP segments into TCP streams, IP
 defragmentation, and TCP port scan detection.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Tomas Guemes <tomas@enosig.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Tomas Guemes <tomas@echeide.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve Kemp <skx@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Kemp <skx@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 188171-close@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: 188171-close@bugs.debian.org
Subject: Bug#188171: fixed in libnids 1.18-1
Date: Wed, 07 Jan 2004 16:39:47 -0500
Source: libnids
Source-Version: 1.18-1

We believe that the bug you reported is fixed in the latest version of
libnids, which is due to be installed in the Debian FTP archive:

libnids-dev_1.18-1_i386.deb
  to pool/main/libn/libnids/libnids-dev_1.18-1_i386.deb
libnids1_1.18-1_i386.deb
  to pool/main/libn/libnids/libnids1_1.18-1_i386.deb
libnids_1.18-1.dsc
  to pool/main/libn/libnids/libnids_1.18-1.dsc
libnids_1.18-1.tar.gz
  to pool/main/libn/libnids/libnids_1.18-1.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 188171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Kemp <skx@debian.org> (supplier of updated libnids package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 8 Jan 2004  19:35:28 +0000
Source: libnids
Binary: libnids-dev libnids1
Architecture: source i386
Version: 1.18-1
Distribution: unstable
Urgency: high
Maintainer: Steve Kemp <skx@debian.org>
Changed-By: Steve Kemp <skx@debian.org>
Description: 
 libnids-dev - IP defragmentation TCP segment reassembly library (development)
 libnids1   - IP defragmentation TCP segment reassembly library
Closes: 188171 192621 226356
Changes: 
 libnids (1.18-1) unstable; urgency=high
 .
   * Fixes security hole allowing arbitary code (CAN-2003-0850)
     Urgency set to high because of this.
     (Closes: #226356)
   * New upstream release.
     (Closes: #192621)
   * New maintainer.
     (Closes: #188171)
Files: 
 0f7ec492f5163ce58f7bf5f743132394 523 devel optional libnids_1.18-1.dsc
 c326b55d36307fdafcac5bfc05110723 118152 devel optional libnids_1.18-1.tar.gz
 6ad4f33808f0abe8a015b5dfde66b301 50076 devel optional libnids-dev_1.18-1_i386.deb
 e141778addc2f97c5a4155a55e9cd30a 21978 libs optional libnids1_1.18-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQE//GIjwM/Gs81MDZ0RAn50AKDJwVb7uGJjRwNSjAOVXACvEGPkpACfTPlE
7ckqXZyGiTsfQ64PBipSKfs=
=bGCh
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:40:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.